## peco 0.4.5

=== Makefile ===
INTERNAL_BIN_DIR=_internal_bin
GOVERSION=$(shell go version)
GOOS=$(word 1,$(subst /, ,$(lastword $(GOVERSION))))
GOARCH=$(word 2,$(subst /, ,$(lastword $(GOVERSION))))
VERSION=$(patsubst "%",%,$(lastword $(shell grep 'const version' peco.go)))
RELEASE_DIR=releases
ARTIFACTS_DIR=$(RELEASE_DIR)/artifacts/$(VERSION)
SRC_FILES = $(wildcard *.go cmd/peco/*.go internal/*/*.go)
HAVE_GLIDE:=$(shell which glide >& /dev/null)
GITHUB_USERNAME=peco

.PHONY: clean build build-windows-amd64 build-windows-386 build-linux-amd64 $(RELEASE_DIR)/$(GOOS)/$(GOARCH)/peco$(SUFFIX)

build: $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX)

$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide:
ifndef HAVE_GLIDE
	@echo "Installing glide for $(GOOS)/$(GOARCH)..."
	@mkdir -p $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)
	@wget -q -O - https://github.com/Masterminds/glide/releases/download/0.10.2/glide-0.10.2-$(GOOS)-$(GOARCH).tar.gz | tar xvz
	@mv $(GOOS)-$(GOARCH)/glide $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide
	@rm -rf $(GOOS)-$(GOARCH)
endif

glide: $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide

installdeps: glide $(SRC_FILES)
	@echo "Installing dependencies..."
	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) glide install

build-windows-amd64:
	@$(MAKE) build GOOS=windows GOARCH=amd64 SUFFIX=.exe

build-windows-386:
	@$(MAKE) build GOOS=windows GOARCH=386 SUFFIX=.exe

build-linux-amd64:
	@$(MAKE) build GOOS=linux GOARCH=amd64

build-linux-386:
	@$(MAKE) build GOOS=linux GOARCH=386

build-darwin-amd64:
	@$(MAKE) build GOOS=darwin GOARCH=amd64

build-darwin-386:
	@$(MAKE) build GOOS=darwin GOARCH=386

$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX):
	go build -o $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX) cmd/peco/peco.go

all: build-linux-amd64 build-linux-386 build-darwin-amd64 build-darwin-386 build-windows-amd64 build-windows-386

release: release-linux-amd64 release-linux-386 release-darwin-amd64 release-darwin-386 release-windows-amd64 release-windows-386

$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/Changes:
	@cp Changes $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)

$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/README.md:
	@cp README.md $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)

release-changes: $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/Changes
release-readme: $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/README.md

release-windows-amd64: build-windows-amd64
	@$(MAKE) release-changes release-readme release-zip GOOS=windows GOARCH=amd64

release-windows-386: build-windows-386
	@$(MAKE) release-changes release-readme release-zip GOOS=windows GOARCH=386

release-linux-amd64: build-linux-amd64
	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=amd64

release-linux-386: build-linux-386
	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=386

release-darwin-amd64: build-darwin-amd64
	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=amd64

release-darwin-386: build-darwin-386
	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=386

$(ARTIFACTS_DIR):
	@mkdir -p $(ARTIFACTS_DIR)

# note: I dreamt of using tar.bz2 for my releases, but then historically
# (for whatever reason that is unknwon to me now) I was creating .zip for
# darwin/windows, and .tar.gz for linux, so I guess we'll stick with those.
# (I think this is from goxc days)
release-tarbz: $(ARTIFACTS_DIR)
	tar -cjf $(ARTIFACTS_DIR)/peco_$(GOOS)_$(GOARCH).tar.bz2 -C $(RELEASE_DIR) peco_$(GOOS)_$(GOARCH)

release-targz: $(ARTIFACTS_DIR)
	tar -czf $(ARTIFACTS_DIR)/peco_$(GOOS)_$(GOARCH).tar.gz -C $(RELEASE_DIR) peco_$(GOOS)_$(GOARCH)

release-zip: $(ARTIFACTS_DIR)
	cd $(RELEASE_DIR) && zip -9 $(CURDIR)/$(ARTIFACTS_DIR)/peco_$(GOOS)_$(GOARCH).zip peco_$(GOOS)_$(GOARCH)/*

release-github-token: github_token
	@echo "file `github_token` is required"

release-upload: release-windows-386 release-windows-amd64 release-linux-386 release-linux-amd64 release-darwin-386 release-darwin-amd64 release-github-token
	ghr -u $(GITHUB_USERNAME) -t $(shell cat github_token) --draft --replace $(VERSION) $(ARTIFACTS_DIR)

test: installdeps
	@echo "Running tests..."
	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v $(shell glide nv)

clean:
	-rm -rf $(RELEASE_DIR)/*/*
	-rm -rf $(ARTIFACTS_DIR)/*

=== debian/changelog ===
peco (0.4.5-1) unstable; urgency=medium

  * New upstream version

 -- Haruki TSURUMOTO <tsu.root@gmail.com>  Sun, 27 Nov 2016 00:31:18 +0900

peco (0.0~git20161005.0.d4f7705-1) unstable; urgency=medium

  * Initial release (Closes: #831576)

 -- Haruki TSURUMOTO <tsu.root@gmail.com>  Sat, 08 Oct 2016 22:50:57 +0900

=== debian/control ===
Source: peco
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Haruki TSURUMOTO <tsu.root@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-google-btree-dev,
               golang-go-flags-dev,
               golang-github-lestrrat-go-pdebug-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-nsf-termbox-go-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev
Standards-Version: 3.9.8
Homepage: https://github.com/peco/peco
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/peco.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/peco.git
XS-Go-Import-Path: github.com/peco/peco

Package: peco
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Simplistic interactive filtering tool
 peco Simplistic interactive filtering tool
 .
 peco can be a great tool to filter stuff like logs, process stats, find
 files, because unlike grep, you can type as you think and look through
 the current results.

## peco 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,32 +1,56 @@
 INTERNAL_BIN_DIR=_internal_bin
 GOVERSION=$(shell go version)
-GOOS=$(word 1,$(subst /, ,$(lastword $(GOVERSION))))
-GOARCH=$(word 2,$(subst /, ,$(lastword $(GOVERSION))))
+THIS_GOOS=$(word 1,$(subst /, ,$(lastword $(GOVERSION))))
+THIS_GOARCH=$(word 2,$(subst /, ,$(lastword $(GOVERSION))))
+GOOS=$(THIS_GOOS)
+GOARCH=$(THIS_GOARCH)
 VERSION=$(patsubst "%",%,$(lastword $(shell grep 'const version' peco.go)))
 RELEASE_DIR=releases
 ARTIFACTS_DIR=$(RELEASE_DIR)/artifacts/$(VERSION)
 SRC_FILES = $(wildcard *.go cmd/peco/*.go internal/*/*.go)
-HAVE_GLIDE:=$(shell which glide >& /dev/null)
+HAVE_GLIDE:=$(shell (test -e $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide || which glide >/dev/null 2>&1 ) && echo "yes")
 GITHUB_USERNAME=peco
+BUILD_TARGETS= \
+	build-linux-arm64 \
+	build-linux-arm \
+	build-linux-amd64 \
+	build-linux-386 \
+	build-darwin-amd64 \
+	build-darwin-386 \
+	build-windows-amd64 \
+	build-windows-386
+RELEASE_TARGETS=\
+	release-linux-arm64 \
+	release-linux-arm \
+	release-linux-amd64 \
+	release-linux-386 \
+	release-darwin-amd64 \
+	release-darwin-386 \
+	release-windows-amd64 \
+	release-windows-386
 
-.PHONY: clean build build-windows-amd64 build-windows-386 build-linux-amd64 $(RELEASE_DIR)/$(GOOS)/$(GOARCH)/peco$(SUFFIX)
+.PHONY: clean build $(RELEASE_TARGETS) $(BUILD_TARGETS) $(RELEASE_DIR)/$(GOOS)/$(GOARCH)/peco$(SUFFIX)
 
 build: $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX)
 
-$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide:
-ifndef HAVE_GLIDE
-	@echo "Installing glide for $(GOOS)/$(GOARCH)..."
-	@mkdir -p $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)
-	@wget -q -O - https://github.com/Masterminds/glide/releases/download/0.10.2/glide-0.10.2-$(GOOS)-$(GOARCH).tar.gz | tar xvz
-	@mv $(GOOS)-$(GOARCH)/glide $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide
-	@rm -rf $(GOOS)-$(GOARCH)
+$(INTERNAL_BIN_DIR):
+	@echo "Creating $(INTERNAL_BIN_DIR)"
+	@mkdir -p $(INTERNAL_BIN_DIR)
+
+$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide: $(INTERNAL_BIN_DIR)
+ifeq ($(HAVE_GLIDE),)
+	@echo "Installing glide for $(THIS_GOOS)/$(THIS_GOARCH)..."
+	@mkdir -p $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)
+	@wget -q -O - https://github.com/Masterminds/glide/releases/download/0.10.2/glide-0.10.2-$(THIS_GOOS)-$(THIS_GOARCH).tar.gz | tar xvz
+	@mv $(THIS_GOOS)-$(THIS_GOARCH)/glide $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
+	@rm -rf $(THIS_GOOS)-$(THIS_GOARCH)
 endif
 
-glide: $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide
+glide: $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
 
 installdeps: glide $(SRC_FILES)
 	@echo "Installing dependencies..."
-	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) glide install
+	@$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide install
 
 build-windows-amd64:
 	@$(MAKE) build GOOS=windows GOARCH=amd64 SUFFIX=.exe
@@ -37,6 +61,12 @@
 build-linux-amd64:
 	@$(MAKE) build GOOS=linux GOARCH=amd64
 
+build-linux-arm:
+	@$(MAKE) build GOOS=linux GOARCH=arm
+
+build-linux-arm64:
+	@$(MAKE) build GOOS=linux GOARCH=arm64
+
 build-linux-386:
 	@$(MAKE) build GOOS=linux GOARCH=386
 
@@ -46,12 +76,12 @@
 build-darwin-386:
 	@$(MAKE) build GOOS=darwin GOARCH=386
 
-$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX):
+$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX): installdeps
 	go build -o $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX) cmd/peco/peco.go
 
-all: build-linux-amd64 build-linux-386 build-darwin-amd64 build-darwin-386 build-windows-amd64 build-windows-386
+all: $(BUILD_TARGETS)
 
-release: release-linux-amd64 release-linux-386 release-darwin-amd64 release-darwin-386 release-windows-amd64 release-windows-386
+release: $(RELEASE_TARGETS)
 
 $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/Changes:
 	@cp Changes $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)
@@ -70,6 +100,12 @@
 
 release-linux-amd64: build-linux-amd64
 	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=amd64
+
+release-linux-arm: build-linux-arm
+	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=arm
+
+release-linux-arm64: build-linux-arm64
+	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=arm64
 
 release-linux-386: build-linux-386
 	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=386
@@ -99,12 +135,12 @@
 release-github-token: github_token
 	@echo "file `github_token` is required"
 
-release-upload: release-windows-386 release-windows-amd64 release-linux-386 release-linux-amd64 release-darwin-386 release-darwin-amd64 release-github-token
+release-upload: release release-github-token
 	ghr -u $(GITHUB_USERNAME) -t $(shell cat github_token) --draft --replace $(VERSION) $(ARTIFACTS_DIR)
 
 test: installdeps
 	@echo "Running tests..."
-	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v $(shell glide nv)
+	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v $(shell $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide nv)
 
 clean:
 	-rm -rf $(RELEASE_DIR)/*/*

=== debian/changelog ===
peco (0.5.1-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 21:06:27 +0000

peco (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * Remove golang-golang-x-net-dev dependency

 -- Haruki TSURUMOTO <tsr.root@gmail.com>  Sun, 03 Dec 2017 20:45:05 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: peco
 Section: devel
-Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Haruki TSURUMOTO <tsu.root@gmail.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
@@ -12,9 +13,8 @@
                golang-github-mattn-go-runewidth-dev,
                golang-github-nsf-termbox-go-dev,
                golang-github-pkg-errors-dev,
-               golang-github-stretchr-testify-dev,
-               golang-golang-x-net-dev
-Standards-Version: 3.9.8
+               golang-github-stretchr-testify-dev
+Standards-Version: 4.1.1
 Homepage: https://github.com/peco/peco
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/peco.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/peco.git

## peco 0.5.10

=== Makefile ===
--- 
+++ 
@@ -8,26 +8,21 @@
 RELEASE_DIR=releases
 ARTIFACTS_DIR=$(RELEASE_DIR)/artifacts/$(VERSION)
 SRC_FILES = $(wildcard *.go cmd/peco/*.go internal/*/*.go)
-HAVE_GLIDE:=$(shell (test -e $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide || which glide >/dev/null 2>&1 ) && echo "yes")
 GITHUB_USERNAME=peco
 BUILD_TARGETS= \
 	build-linux-arm64 \
 	build-linux-arm \
 	build-linux-amd64 \
-	build-linux-386 \
 	build-darwin-amd64 \
-	build-darwin-386 \
-	build-windows-amd64 \
-	build-windows-386
+	build-darwin-arm64 \
+	build-windows-amd64
 RELEASE_TARGETS=\
 	release-linux-arm64 \
 	release-linux-arm \
 	release-linux-amd64 \
-	release-linux-386 \
 	release-darwin-amd64 \
-	release-darwin-386 \
-	release-windows-amd64 \
-	release-windows-386
+	release-darwin-arm64 \
+	release-windows-amd64
 
 .PHONY: clean build $(RELEASE_TARGETS) $(BUILD_TARGETS) $(RELEASE_DIR)/$(GOOS)/$(GOARCH)/peco$(SUFFIX)
 
@@ -37,20 +32,9 @@
 	@echo "Creating $(INTERNAL_BIN_DIR)"
 	@mkdir -p $(INTERNAL_BIN_DIR)
 
-$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide: $(INTERNAL_BIN_DIR)
-ifeq ($(HAVE_GLIDE),)
-	@echo "Installing glide for $(THIS_GOOS)/$(THIS_GOARCH)..."
-	@mkdir -p $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)
-	@wget -q -O - https://github.com/Masterminds/glide/releases/download/0.10.2/glide-0.10.2-$(THIS_GOOS)-$(THIS_GOARCH).tar.gz | tar xvz
-	@mv $(THIS_GOOS)-$(THIS_GOARCH)/glide $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
-	@rm -rf $(THIS_GOOS)-$(THIS_GOARCH)
-endif
-
-glide: $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
-
-installdeps: glide $(SRC_FILES)
-	@echo "Installing dependencies..."
-	@$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide install
+deps: 
+	@echo "Downloading dependencies..."
+	@GO111MODULE=on go mod download
 
 build-windows-amd64:
 	@$(MAKE) build GOOS=windows GOARCH=amd64 SUFFIX=.exe
@@ -73,11 +57,11 @@
 build-darwin-amd64:
 	@$(MAKE) build GOOS=darwin GOARCH=amd64
 
-build-darwin-386:
-	@$(MAKE) build GOOS=darwin GOARCH=386
+build-darwin-arm64:
+	@$(MAKE) build GOOS=darwin GOARCH=arm64
 
-$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX): installdeps
-	go build -o $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX) cmd/peco/peco.go
+$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX): deps
+	@GO111MODULE=on go build -o $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX) cmd/peco/peco.go
 
 all: $(BUILD_TARGETS)
 
@@ -113,8 +97,8 @@
 release-darwin-amd64: build-darwin-amd64
 	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=amd64
 
-release-darwin-386: build-darwin-386
-	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=386
+release-darwin-arm64: build-darwin-arm64
+	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=arm64
 
 $(ARTIFACTS_DIR):
 	@mkdir -p $(ARTIFACTS_DIR)
@@ -138,9 +122,9 @@
 release-upload: release release-github-token
 	ghr -u $(GITHUB_USERNAME) -t $(shell cat github_token) --draft --replace $(VERSION) $(ARTIFACTS_DIR)
 
-test: installdeps
+test: deps
 	@echo "Running tests..."
-	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v $(shell $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide nv)
+	@GO111MODULE=on PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v ./...
 
 clean:
 	-rm -rf $(RELEASE_DIR)/*/*

=== debian/changelog ===
peco (0.5.10-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 17:16:35 +1000

peco (0.5.10-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 12:40:59 +1000

peco (0.5.10-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 10:57:45 +0530

peco (0.5.10-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:21 +1200

peco (0.5.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update d/control.
    - Specify version to golang-github-lestrrat-go-pdebug-dev.
    - Bump Standards-Version to 4.6.0.1 (no change).
    - Add "Rules-Requires-Root: no".

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Oct 2021 11:59:54 +0900

peco (0.5.1-2) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Team upload.
  * Move to salsa.debian.org.
  * Bump debhelper to 13.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fie
 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Oct 2021 11:36:02 +0900

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Haruki TSURUMOTO <tsu.root@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
                golang-github-google-btree-dev,
                golang-go-flags-dev,
-               golang-github-lestrrat-go-pdebug-dev,
+               golang-github-lestrrat-go-pdebug-dev (>= 0.0~git20180220.0.569c974-3),
                golang-github-mattn-go-runewidth-dev,
                golang-github-nsf-termbox-go-dev,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/peco/peco
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/peco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/peco.git
+Vcs-Browser: https://salsa.debian.org/pkg-go-team/peco
+Vcs-Git: https://salsa.debian.org/pkg-go-team/peco.git
 XS-Go-Import-Path: github.com/peco/peco
+Rules-Requires-Root: no
 
 Package: peco
 Architecture: any

## peco 1.21.1

=== DESCRIPTION ===
Encoding: UTF-8
Type: Package
Package: peco
Version: 1.21.1
Title: A Supervised Approach for **P**r**e**dicting **c**ell Cycle
        Pr**o**gression using scRNA-seq data
Authors@R: c(
        person("Chiaowen Joyce","Hsiao", email="joyce.hsiao1@gmail.com", 
                    role=c("aut","cre")),
        person("Matthew", "Stephens", email="stephens999@gmail.com", role="aut"),
        person("John", "Blischak", email = "jdblischak@gmail.com", role="ctb"),
        person("Peter", "Carbonetto", email = "peter.carbonetto@gmail.com",
                role="ctb"))
Description: Our approach provides a way to assign continuous cell cycle phase 
    using scRNA-seq data, and consequently, allows to identify cyclic trend 
    of gene expression levels along the cell cycle. This package provides method
    and training data, which includes scRNA-seq data collected from 6 individual 
    cell lines of induced pluripotent stem cells (iPSCs), and also continuous cell 
    cycle phase derived from FUCCI fluorescence imaging data. 
URL: https://github.com/jhsiao999/peco
BugReports: https://github.com/jhsiao999/peco/issues
License: GPL (>= 3)
Depends: R (>= 3.5.0)
Imports: assertthat, circular, conicfit, doParallel, foreach, genlasso
        (>= 1.4), graphics, methods, parallel, scater,
        SingleCellExperiment, SummarizedExperiment, stats, utils
Suggests: knitr, rmarkdown
biocViews: Sequencing, RNASeq, GeneExpression, Transcriptomics,
        SingleCell, Software, StatisticalMethod, Classification,
        Visualization
VignetteBuilder: knitr
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/peco
git_branch: devel
git_last_commit: c6caf77
git_last_commit_date: 2025-10-14
Repository: Bioconductor 3.22
Date/Publication: 2025-10-15
NeedsCompilation: no
Packaged: 2025-10-15 23:27:29 UTC; biocbuild
Author: Chiaowen Joyce Hsiao [aut, cre],
  Matthew Stephens [aut],
  John Blischak [ctb],
  Peter Carbonetto [ctb]
Maintainer: Chiaowen Joyce Hsiao <joyce.hsiao1@gmail.com>

## peco 1.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Encoding: UTF-8
 Type: Package
 Package: peco
-Version: 1.21.1
+Version: 1.22.0
 Title: A Supervised Approach for **P**r**e**dicting **c**ell Cycle
         Pr**o**gression using scRNA-seq data
 Authors@R: c(
@@ -31,13 +31,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/peco
-git_branch: devel
-git_last_commit: c6caf77
-git_last_commit_date: 2025-10-14
+git_branch: RELEASE_3_22
+git_last_commit: a69498c
+git_last_commit_date: 2025-10-29
 Repository: Bioconductor 3.22
-Date/Publication: 2025-10-15
+Date/Publication: 2025-10-29
 NeedsCompilation: no
-Packaged: 2025-10-15 23:27:29 UTC; biocbuild
+Packaged: 2025-10-30 05:42:12 UTC; biocbuild
 Author: Chiaowen Joyce Hsiao [aut, cre],
   Matthew Stephens [aut],
   John Blischak [ctb],

## peco 1.23.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Encoding: UTF-8
 Type: Package
 Package: peco
-Version: 1.22.0
+Version: 1.23.0
 Title: A Supervised Approach for **P**r**e**dicting **c**ell Cycle
         Pr**o**gression using scRNA-seq data
 Authors@R: c(
@@ -31,13 +31,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/peco
-git_branch: RELEASE_3_22
-git_last_commit: a69498c
+git_branch: devel
+git_last_commit: 92a92cd
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-11-03
 NeedsCompilation: no
-Packaged: 2025-10-30 05:42:12 UTC; biocbuild
+Packaged: 2025-11-04 00:09:16 UTC; biocbuild
 Author: Chiaowen Joyce Hsiao [aut, cre],
   Matthew Stephens [aut],
   John Blischak [ctb],
